package com.sonic.frog.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sonic.frog.domain.entity.ChatBubbleDict;

/**
 * 聊天气泡字典服务接口
 */
public interface ChatBubbleDictService extends IService<ChatBubbleDict> {
    /**
     * 获取聊天气泡
     *
     * @param chatBubbleCode
     * @return
     */
    ChatBubbleDict getChatBubbleDictByCode(String chatBubbleCode);

    /**
     * 获取聊天气泡名称
     *
     * @param bubbleCode
     * @return
     */
    String getBubbleNameByCode(String bubbleCode);

    /**
     * 获取默认聊天气泡
     *
     * @return
     */
    ChatBubbleDict getDefaultChatBubble();

    /**
     * 获取用户的聊天气泡
     *
     * @param userSetBubbleCode
     * @return
     */
    ChatBubbleDict getUserChatBubble(Long userId, Long aiId, String userSetBubbleCode);
}